Page MenuHomePhabricator

Acquire new hardware for hosting cross-wiki watchlist database
Closed, DeclinedPublic

Description

Per the cross-wiki watchlist RFC (T126641), we will be setting up a new database shard to host tables for the cross-wiki watchlist feature. This database will include aggregated "mega-tables" for all watchlist and recentchanges data across all the wikis (and possibly all edit tag data as well). We may also need to replicate the centralauth data on this shard.

@jcrespo suggests 2 additional servers per datacenter (T126641#2528323) to meet this request.

Labs Project Tested: Not yet
Site/Location: ?
Number of systems: 2 per data center
Service: ?
Networking Requirements: ?
Processor Requirements: ?
Memory: ?
Disks: ?
NIC(s): ?
Partitioning Scheme: ?
Other Requirements: ?

Event Timeline

kaldari created this task.Aug 9 2016, 10:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2016, 10:38 PM
bd808 added a subscriber: bd808.Aug 9 2016, 10:47 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptAug 9 2016, 10:54 PM
akosiaris triaged this task as Normal priority.Aug 11 2016, 2:31 PM
akosiaris added a subscriber: RobH.

We should block this request on #1, having a prototype running somewhere, then #2 check that there is budget for it by Ops Manager.

RobH added a comment.Aug 11 2016, 4:19 PM

Also the request doesn't note which kind of DB config. We've recently ordered 1U SSD based db servers, as well as expanded storage db servers.

Please see https://wikitech.wikimedia.org/wiki/Operations_requests#Hardware_Requests for the full list of instructions and details to include on hardware-requests

kaldari updated the task description. (Show Details)Aug 11 2016, 8:40 PM

I added the requested fields to the task description. Unfortunately, most of that information is beyond my knowledge, so I'll have to rely on @jcrespo to help fill it in. I'll also go ahead and create a ticket for setting up the proof of concept on Beta Cluster and mark it as a blocker...

We probably will need a protoype on labs, and another in production that I can setup with real data, to understand the size needs. I think we could go with less expensive servers and much less disk space than the regular 1U servers, @RobH.

Le'ts try to have that prototype first.

RobH closed this task as Declined.May 10 2017, 9:09 PM

Since this is requesting a prototype by the DBAs, before allocation of actual hardware, I'll be closing this as declined for now.

Leaving it open only serves to make it so when it is unblocked, it doesn't get movement. Once a proof of concept/prototype has been constructed per @jcrespo's request, this task can be reopened.